cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/applications/app_0123456789abcdef" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"application": {
"display_name": "Acme Integration",
"description": "Syncs orders with Acme"
}
}'from exsited import build_client
client = build_client()
response = client.applications.update_settings_application(
"app_0123456789abcdef",
{
"application": {
"display_name": "Acme Integration",
"description": "Syncs orders with Acme",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.applications.updateSettingsApplication('app_0123456789abcdef', {
application: {display_name: 'Acme Integration', description: 'Syncs orders with Acme'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->applications->updateSettingsApplication('app_0123456789abcdef', [
'application' => [
'display_name' => 'Acme Integration',
'description' => 'Syncs orders with Acme',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.applications.applications_dto.ApplicationsDto.SettingsApplication;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApplication> response = client.applications().updateSettingsApplication(
"app_0123456789abcdef",
Map.of(
"application", Map.of(
"display_name", "Acme Integration",
"description", "Syncs orders with Acme")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Applications.UpdateSettingsApplicationAsync(
"app_0123456789abcdef",
new Dictionary<string, object?>
{
["application"] = new Dictionary<string, object?>
{
["display_name"] = "Acme Integration",
["description"] = "Syncs orders with Acme",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.applications.updateSettingsApplication(
'app_0123456789abcdef',
{
'application': {
'display_name': 'Acme Integration',
'description': 'Syncs orders with Acme',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Applications().UpdateSettingsApplication(context.Background(), "app_0123456789abcdef", map[string]any{
"application": map[string]any{
"display_name": "Acme Integration",
"description": "Syncs orders with Acme",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"application": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Applications
Update an application
Changes an OAuth application’s fields or its status and returns it under application.
PATCH
/
settings
/
applications
/
{application_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/applications/app_0123456789abcdef" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"application": {
"display_name": "Acme Integration",
"description": "Syncs orders with Acme"
}
}'from exsited import build_client
client = build_client()
response = client.applications.update_settings_application(
"app_0123456789abcdef",
{
"application": {
"display_name": "Acme Integration",
"description": "Syncs orders with Acme",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.applications.updateSettingsApplication('app_0123456789abcdef', {
application: {display_name: 'Acme Integration', description: 'Syncs orders with Acme'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->applications->updateSettingsApplication('app_0123456789abcdef', [
'application' => [
'display_name' => 'Acme Integration',
'description' => 'Syncs orders with Acme',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.applications.applications_dto.ApplicationsDto.SettingsApplication;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsApplication> response = client.applications().updateSettingsApplication(
"app_0123456789abcdef",
Map.of(
"application", Map.of(
"display_name", "Acme Integration",
"description", "Syncs orders with Acme")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Applications.UpdateSettingsApplicationAsync(
"app_0123456789abcdef",
new Dictionary<string, object?>
{
["application"] = new Dictionary<string, object?>
{
["display_name"] = "Acme Integration",
["description"] = "Syncs orders with Acme",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.applications.updateSettingsApplication(
'app_0123456789abcdef',
{
'application': {
'display_name': 'Acme Integration',
'description': 'Syncs orders with Acme',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Applications().UpdateSettingsApplication(context.Background(), "app_0123456789abcdef", map[string]any{
"application": map[string]any{
"display_name": "Acme Integration",
"description": "Syncs orders with Acme",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"application": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Send the fields to change under
application, such as display_name and description, or a new status. The response holds the updated application under application.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The application's id, which starts with app_.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated application, under application.
Show child attributes
Show child attributes